petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAdaptChoose

choose which method and step size to use for the next step

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptChoose(TSAdapt adapt,TS ts,PetscReal h,PetscInt *next_sc,PetscReal *next_h,PetscBool *accept)

Logically Collective Many br

### Input Arguments

| adapt | - adaptive contoller Many br
| h | - current step size Many br

### Output Arguments

| next_sc | - optional, scheme to use for the next step Many br
| next_h | - step size to use for the next step Many br
| accept | - PETSC_TRUE to accept the current step, PETSC_FALSE to repeat the current step with the new step size Many br

### Note

The input value of parameter accept is retained from the last time step, so it will be PETSC_FALSE if the step is Many brbeing retried after an initial rejection. Many br

Many br

### See Also

TSAdapt, TSAdaptCandidatesClear(), TSAdaptCandidateAdd()

Level:developer
Location:src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages